# MatSNESMFSetCheckh

Sets a function that checks the computed h and adjusts it to satisfy some criteria

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFSetCheckh(Mat J,PetscErrorCode (*fun)(Vec,Vec,PetscScalar*,void*),void* ctx)

Collective on Mat

### Input Parameters

| J | - the MatSNESMF matrix
| fun | - the function that checks h
| ctx | - any context needed by the function

### Options Database Keys

-snes_mf_check_positivity -

Notes: For example, MatSNESMFSetCheckPositivity() insures that all entries of U + h*a are non-negative

### See Also

MatSNESMFSetCheckPositivity()

Level:advanced
Location:src/snes/mf/snesmfj.c
Index of all SNESMF routines
Table of Contents for all manual pages
Index of all manual pages